/*
   Situare - A location system for Facebook
   Copyright (C) 2010  Ixonos Plc. Authors:

       Jussi Laitinen - jussi.laitinen@ixonos.com

   Situare is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   version 2 as published by the Free Software Foundation.

   Situare is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Situare; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
   USA.
*/

#include <QDebug>

#include "mce.h"

#if defined(Q_WS_MAEMO_5) & defined(ARMEL)
#include "mceprivate.h"
#else
#include "mceprivatestub.h"
#endif

MCE::MCE(QObject *parent)
    : QObject(parent)
{
    qDebug() << __PRETTY_FUNCTION__;

    m_mcePrivate = new MCEPrivate(this);
}

bool MCE::isDisplayOn()
{
    qDebug() << __PRETTY_FUNCTION__;

    return m_mcePrivate->isDisplayOn();
}

void MCE::vibrationFeedback()
{
    m_mcePrivate->vibrationFeedback();
}
